import React, {FunctionComponent, ReactElement} from 'react';
import {NavLink, Outlet} from 'react-router-dom';

const Layout: FunctionComponent = (): ReactElement => {
	return (
		<div className="bg-gray-50 dark:bg-gray-900">
			<div className="flex justify-between container mx-auto">
				<a href="#">Add Post</a>
				<div>
					<NavLink className={'mr-3'} to={'register'}>
						Login or Register
					</NavLink>
				</div>
			</div>
			<Outlet />
		</div>
	);
};

export default Layout;
