import {createSlice, PayloadAction} from '@reduxjs/toolkit';
import {RootState} from '../store';
interface UserState {
	username: string;
}

const initialState: UserState = {
	username: '',
};

export const userSlice = createSlice({
	name: 'user',
	initialState,
	reducers: {},
	extraReducers: {},
});

export const {} = userSlice.actions;

export const selectUser = (state: RootState) => state.user.username;

export default userSlice.reducer;
